# encoding: UTF-8

version = '0.0.7'
Gem::Specification.new do |s|

  s.name = 'frontline'
  s.version = version
  s.authors = ['Silviu Rusu']
  s.email = ['slivuz@gmail.com']
  s.homepage = 'https://github.com/espresso/frontline'
  s.summary = 'frontline-%s' % version
  s.description = 'A Web Application for building Web Applications'

  s.required_ruby_version = '>= 1.9.2'

  s.add_dependency 'e',         '>= 0.4.8'
  s.add_dependency 'enginery',  '>= 0.2.0'
  s.add_dependency 'el',        '>= 0.4.8'
  s.add_dependency 'el-ace',    '>= 0.0.5'
  s.add_dependency 'el-finder', '>= 0.0.7'
  s.add_dependency 'slim',      '>= 2.0'
  s.add_dependency 'thin'
  s.add_dependency 'json'
  
  s.add_development_dependency 'bundler'

  s.require_paths = ['lib']
  s.files = Dir['**/{*,.[a-z]*}'].reject {|e| e =~ /\.(gem|lock)\Z/}
  s.executables = ['frontline']
  s.licenses = ['MIT']
end
